com.r3corda.node.services.messaging / StateMachineInfo

# StateMachineInfo

`data class StateMachineInfo`

### Constructors

<init> | `StateMachineInfo(id: StateMachineRunId, protocolLogicClassName: String, progressTrackerStepAndUpdates: <ERROR CLASS><String, <ERROR CLASS><String>>?)`

### Properties

id | `val id: StateMachineRunId`
progressTrackerStepAndUpdates | `val progressTrackerStepAndUpdates: <ERROR CLASS><String, <ERROR CLASS><String>>?`
protocolLogicClassName | `val protocolLogicClassName: String`

### Companion Object Functions

fromProtocolStateMachineImpl | `fun fromProtocolStateMachineImpl(psm: ProtocolStateMachineImpl<*>): StateMachineInfo`